/*******************************************************************************
* File Name: Auto_Mode.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Auto_Mode_ALIASES_H) /* Pins Auto_Mode_ALIASES_H */
#define CY_PINS_Auto_Mode_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Auto_Mode_0			(Auto_Mode__0__PC)
#define Auto_Mode_0_PS		(Auto_Mode__0__PS)
#define Auto_Mode_0_PC		(Auto_Mode__0__PC)
#define Auto_Mode_0_DR		(Auto_Mode__0__DR)
#define Auto_Mode_0_SHIFT	(Auto_Mode__0__SHIFT)
#define Auto_Mode_0_INTR	((uint16)((uint16)0x0003u << (Auto_Mode__0__SHIFT*2u)))

#define Auto_Mode_INTR_ALL	 ((uint16)(Auto_Mode_0_INTR))


#endif /* End Pins Auto_Mode_ALIASES_H */


/* [] END OF FILE */
