/*******************************************************************************
* File Name: Drops.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Drops_ALIASES_H) /* Pins Drops_ALIASES_H */
#define CY_PINS_Drops_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Drops_0			(Drops__0__PC)
#define Drops_0_PS		(Drops__0__PS)
#define Drops_0_PC		(Drops__0__PC)
#define Drops_0_DR		(Drops__0__DR)
#define Drops_0_SHIFT	(Drops__0__SHIFT)
#define Drops_0_INTR	((uint16)((uint16)0x0003u << (Drops__0__SHIFT*2u)))

#define Drops_INTR_ALL	 ((uint16)(Drops_0_INTR))


#endif /* End Pins Drops_ALIASES_H */


/* [] END OF FILE */
