/*******************************************************************************
* File Name: Ex_Rt_Valve.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Ex_Rt_Valve_ALIASES_H) /* Pins Ex_Rt_Valve_ALIASES_H */
#define CY_PINS_Ex_Rt_Valve_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Ex_Rt_Valve_0			(Ex_Rt_Valve__0__PC)
#define Ex_Rt_Valve_0_PS		(Ex_Rt_Valve__0__PS)
#define Ex_Rt_Valve_0_PC		(Ex_Rt_Valve__0__PC)
#define Ex_Rt_Valve_0_DR		(Ex_Rt_Valve__0__DR)
#define Ex_Rt_Valve_0_SHIFT	(Ex_Rt_Valve__0__SHIFT)
#define Ex_Rt_Valve_0_INTR	((uint16)((uint16)0x0003u << (Ex_Rt_Valve__0__SHIFT*2u)))

#define Ex_Rt_Valve_INTR_ALL	 ((uint16)(Ex_Rt_Valve_0_INTR))


#endif /* End Pins Ex_Rt_Valve_ALIASES_H */


/* [] END OF FILE */
