/*******************************************************************************
* File Name: Man_Auto.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Man_Auto_ALIASES_H) /* Pins Man_Auto_ALIASES_H */
#define CY_PINS_Man_Auto_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Man_Auto_0			(Man_Auto__0__PC)
#define Man_Auto_0_PS		(Man_Auto__0__PS)
#define Man_Auto_0_PC		(Man_Auto__0__PC)
#define Man_Auto_0_DR		(Man_Auto__0__DR)
#define Man_Auto_0_SHIFT	(Man_Auto__0__SHIFT)
#define Man_Auto_0_INTR	((uint16)((uint16)0x0003u << (Man_Auto__0__SHIFT*2u)))

#define Man_Auto_INTR_ALL	 ((uint16)(Man_Auto_0_INTR))


#endif /* End Pins Man_Auto_ALIASES_H */


/* [] END OF FILE */
