/*******************************************************************************
* File Name: Rls_Valve.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Rls_Valve_ALIASES_H) /* Pins Rls_Valve_ALIASES_H */
#define CY_PINS_Rls_Valve_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Rls_Valve_0			(Rls_Valve__0__PC)
#define Rls_Valve_0_PS		(Rls_Valve__0__PS)
#define Rls_Valve_0_PC		(Rls_Valve__0__PC)
#define Rls_Valve_0_DR		(Rls_Valve__0__DR)
#define Rls_Valve_0_SHIFT	(Rls_Valve__0__SHIFT)
#define Rls_Valve_0_INTR	((uint16)((uint16)0x0003u << (Rls_Valve__0__SHIFT*2u)))

#define Rls_Valve_INTR_ALL	 ((uint16)(Rls_Valve_0_INTR))


#endif /* End Pins Rls_Valve_ALIASES_H */


/* [] END OF FILE */
