/*

Note to helpers:
Thank you for being willing to look at this. One problem is that after about a dozen or so 
builds I get errors saying:
1 '.text' is not in region 'rom'
2 '.eh_frame' will not fit in region 'rom'
3 .cyloadablemeta loaded at [00007fc0,00007fff] overlaps section .text loaded at [00007e80,00008903]
4 region 'rom' overflowed by 0 bytes
5 The command 'arm-none-eabi-gcc.exe' failed with exit code '1'.

I run clean and that clears up the above errors but creates a new problem with the bootloadable 
component. I then have to remove the bootloadable component, build again, then add a another
bootloadable component, then in the bootloadable component assign the hex file as expected.

Two out of three times this will let me build my program again. In the third instance I might 
have to do this procedure two or three or four times (if I am lucky).

Occassionally another problem shows up after the above problems have been cleared.
When I try to download the program into my CY8CKIT-049-42xx using bootloader host
I get an error: Flash row is not valid for the selected array. 
A couple of times I was able to correct this by restarting PSoC Creator. 
Now, nothing I do corrects the problem. (Yes, I hold the button down.) 
This happens on both of my prototyping boards.

I am currently using Miniprog3 to download the program 
because I can no longer use the Bootloader host.

Thank you for your kind assistance.


*/


#include "project.h"


// THIS PROGRAM DOES NOT WORK AS EXPECTED.
int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

 
    int TDA_Flag=0;
    Tl_Saf_Timer_Enable();
    
    Tilt_Dn_Timer_Enable();
    
    for(;;)
    {
      //  LED_Write(~LED_Read());
      //  CyDelay(100);
        
        while(!Tilt_Up_Read() && Tilt_Lmt_Read() && Auto_Mode_Read())
        {
            Tilt_Valve_Write(0);
            Motor_Write(0);
            TDA_Flag=1;
            CyDelay(50);
        }
        
        if(TDA_Flag)
        {
            Tl_Saf_Timer_Start();
            TDA_Flag=0;
        }
        
        
        if(!Tilt_Up_Read() && !Auto_Mode_Read())
        {
            CyDelay(400); // Debounce delay. Do not remove.
            while(Tilt_Lmt_Read())
            {
                Tilt_Valve_Write(0);
                Motor_Write(0);
                if(!Tilt_Up_Read() || !Tilt_Down_Read() || Drops_Read()) break; // Emergency stop
                CyDelay(50);
            }
            Tl_Saf_Timer_Start();
        }
        
        if(Tl_Saf_Timer_ReadCounter() >0)
        {
            while(!Tilt_Down_Read() && Auto_Mode_Read())
            {
                Tilt_Valve_Write(0);
                Rls_Valve_Write(0);
                CyDelay(50);
            }    
        }
        
        if(!Tilt_Down_Read() && (Tl_Saf_Timer_ReadCounter() >0)  && !Auto_Mode_Read())
        {
            CyDelay(400); // Debounce delay. Do not remove.
            Tilt_Dn_Timer_Start();
            while(Tilt_Dn_Timer_ReadCounter() >0)
            {
                Tilt_Valve_Write(0);
                Rls_Valve_Write(0);
                if(!Tilt_Up_Read() || !Tilt_Down_Read() || Drops_Read()) break; // Emergency stop
                CyDelay(50);
            }
            Tilt_Dn_Timer_Init(); // Reset for next usage.
        }
        
        while(!Drops_Read())
        {
            Drop_Valve_Write(0);
            Motor_Write(0);
            Tl_Saf_Timer_Start();
        }
      
        
        while(!Ext_Read())
        {
            Ex_Rt_Valve1_Write(0);
            Motor_Write(0);
            Tl_Saf_Timer_Start();
        }
      
        
         while(!Ret_Read())
        {
            Ex_Rt_Valve1_Write(0);
            Rls_Valve_Write(0);
            Tl_Saf_Timer_Start();
        }
     
            Tilt_Valve_Write(1);
            Motor_Write(1);
            Ex_Rt_Valve1_Write(1);
            Rls_Valve_Write(1);
            Drop_Valve_Write(1);
 
            
  
       
        
          
    }
}

/* [] END OF FILE */
